const JSONModel = require( "./json_model" );

const schema = {
  "title": "Event Group",
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "description": "Auto generated by backend"

    },
    "name": {
      "type": "string",
      "error_messages": { "required": "name is required" }
    },
    "description": {
      "type": "string",
      "error_messages": { "required": "Description is required" }
    },
    "prefix": {
      "type": "string",
      "error_messages": { "required": "Prefix is required" }
    }
  },
  "required": [ "name", "description", "prefix" ]
};

const props = {
  "idProp": "id",
  "url": "http://localhost:9000/api/v1/event_group",
  "parseInstanceProp": "result",
  "parseListProp": "result"
};

const EventGroup = JSONModel.create( schema, props );

let eventGroup = new EventGroup();
eventGroup.name = "Sample event Group";
eventGroup.description = "Sample event Group description";
eventGroup.prefix = "Sample event Group prefix";


eventGroup.save().then( e => console.log( e ) ).catch( err => console.log( err ) );